Tablewealth

List accessible financial accounts

GET
/v1/accounts

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Query Parameters

status?string
Value in"ACTIVE" | "INACTIVE" | "REMOVED"
category?string
Value in"bank" | "debt" | "investment" | "other" | "real_estate" | "retirement"
sourceType?string
Value in"PROVIDER" | "MANUAL" | "IMPORT"
supportsTransactions?boolean
supportsHoldings?boolean
pageSize?integer
Range1 <= value <= 100
pageToken?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/v1/accounts"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d",
      "sourceType": "PROVIDER",
      "provider": "PLAID",
      "manualKind": "CASH",
      "externalAccountId": "string",
      "status": "ACTIVE",
      "category": "bank",
      "name": "string",
      "officialName": "string",
      "institutionName": "string",
      "institutionId": "string",
      "connectionStatus": "PENDING",
      "mask": "string",
      "type": "string",
      "subtype": "string",
      "verificationStatus": "string",
      "balances": {
        "current": 0,
        "available": 0,
        "currencyCode": "string"
      },
      "ownershipPercentage": 0,
      "excludeFromNetWorth": true,
      "excludeFromTransactions": true,
      "supportsTransactions": true,
      "supportsHoldings": true,
      "linkedLiabilityAccountId": "e495b20b-b4c1-4106-9d98-7e8e800e8c67",
      "firstSeenAt": "2019-08-24T14:15:22Z",
      "lastSeenAt": "2019-08-24T14:15:22Z",
      "lastBalanceRefreshAt": "2019-08-24T14:15:22Z",
      "sync": {
        "lastBalanceRefreshAt": "2019-08-24T14:15:22Z",
        "lastSuccessfulSyncAt": "2019-08-24T14:15:22Z",
        "transactionsInitializedAt": "2019-08-24T14:15:22Z",
        "lastTransactionsSyncAt": "2019-08-24T14:15:22Z",
        "lastTransactionsSyncErrorAt": "2019-08-24T14:15:22Z",
        "lastWebhookAt": "2019-08-24T14:15:22Z",
        "loginRequiredAt": "2019-08-24T14:15:22Z",
        "reconnectBy": "2019-08-24T14:15:22Z",
        "disconnectedAt": "2019-08-24T14:15:22Z",
        "lastProviderErrorAt": "2019-08-24T14:15:22Z"
      },
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "pageSize": 0,
    "nextPageToken": "string"
  },
  "meta": {}
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}